#!/bin/bash

if [ -n "$1" ]; then
	opt="$1"
else
	read -p "Want a different look? This will change your current theme. Press [Ctrl-C] to cancel, or [Enter] to continue..."
	PS3='Please enter the number above for theme you would like to apply (1 - 8): '
	options=("RaspbianX" "Nighthawk" "iRaspbian" "iRaspbian-Dark" "Raspbian95" "RaspbianXP" "Raspbian7" "TwisterOS")	
	select opt in "${options[@]}"; do
		case $opt in
			"RaspbianX") break;;
			"Nighthawk") break;;
			"iRaspbian") break;;
			"iRaspbian-Dark") break;;
			"Raspbian95") break;;
			"RaspbianXP") break;;
			"Raspbian7") break;;
			"TwisterOS") break;;
			*) echo "invalid option $REPLY";;
		esac
	done
fi

case $opt in

        "RaspbianX")

echo "Twisting theme to Raspbian X..."

if test -f "/home/pi/.raspbianx.twid"; then
    sudo rm -r /usr/share/ThemeSwitcher/RaspbianX/panel
    sudo rm -r /usr/share/ThemeSwitcher/RaspbianX/xfconf
    sudo cp -r /home/pi/.config/xfce4/panel /usr/share/ThemeSwitcher/RaspbianX
    sudo cp -r /home/pi/.config/xfce4/xfconf /usr/share/ThemeSwitcher/RaspbianX
    sudo find /usr/share/ThemeSwitcher/RaspbianX/panel -type d -exec chmod 755 {} \;
    sudo find /usr/share/ThemeSwitcher/RaspbianX/panel -type f -exec chmod 644 {} \;
    sudo find /usr/share/ThemeSwitcher/RaspbianX/xfconf -type d -exec chmod 755 {} \;
    sudo find /usr/share/ThemeSwitcher/RaspbianX/xfconf -type f -exec chmod 644 {} \;
    sudo chown -R root:root /usr/share/ThemeSwitcher/RaspbianX/panel
    sudo chown -R root:root /usr/share/ThemeSwitcher/RaspbianX/xfconf
fi
if test -f "/home/pi/.nighthawk.twid"; then
    sudo rm -r /usr/share/ThemeSwitcher/Nighthawk/panel
    sudo rm -r /usr/share/ThemeSwitcher/Nighthawk/xfconf
    sudo cp -r /home/pi/.config/xfce4/panel /usr/share/ThemeSwitcher/Nighthawk
    sudo cp -r /home/pi/.config/xfce4/xfconf /usr/share/ThemeSwitcher/Nighthawk
    sudo find /usr/share/ThemeSwitcher/Nighthawk/panel -type d -exec chmod 755 {} \;
    sudo find /usr/share/ThemeSwitcher/Nighthawk/panel -type f -exec chmod 644 {} \;
    sudo find /usr/share/ThemeSwitcher/Nighthawk/xfconf -type d -exec chmod 755 {} \;
    sudo find /usr/share/ThemeSwitcher/Nighthawk/xfconf -type f -exec chmod 644 {} \;
    sudo chown -R root:root /usr/share/ThemeSwitcher/Nighthawk/panel
    sudo chown -R root:root /usr/share/ThemeSwitcher/Nighthawk/xfconf
fi
if test -f "/home/pi/.iraspbian.twid"; then
    sudo rm -r /usr/share/ThemeSwitcher/iRaspbian/panel
    sudo rm -r /usr/share/ThemeSwitcher/iRaspbian/xfconf
    sudo cp -r /home/pi/.config/xfce4/panel /usr/share/ThemeSwitcher/iRaspbian
    sudo cp -r /home/pi/.config/xfce4/xfconf /usr/share/ThemeSwitcher/iRaspbian
    sudo find /usr/share/ThemeSwitcher/iRaspbian/panel -type d -exec chmod 755 {} \;
    sudo find /usr/share/ThemeSwitcher/iRaspbian/panel -type f -exec chmod 644 {} \;
    sudo find /usr/share/ThemeSwitcher/iRaspbian/xfconf -type d -exec chmod 755 {} \;
    sudo find /usr/share/ThemeSwitcher/iRaspbian/xfconf -type f -exec chmod 644 {} \;
    sudo chown -R root:root /usr/share/ThemeSwitcher/iRaspbian/panel
    sudo chown -R root:root /usr/share/ThemeSwitcher/iRaspbian/xfconf
fi
if test -f "/home/pi/.iraspbian-dark.twid"; then
    sudo rm -r /usr/share/ThemeSwitcher/iRaspbian-Dark/panel
    sudo rm -r /usr/share/ThemeSwitcher/iRaspbian-Dark/xfconf
    sudo cp -r /home/pi/.config/xfce4/panel /usr/share/ThemeSwitcher/iRaspbian-Dark
    sudo cp -r /home/pi/.config/xfce4/xfconf /usr/share/ThemeSwitcher/iRaspbian-Dark
    sudo find /usr/share/ThemeSwitcher/iRaspbian-Dark/panel -type d -exec chmod 755 {} \;
    sudo find /usr/share/ThemeSwitcher/iRaspbian-Dark/panel -type f -exec chmod 644 {} \;
    sudo find /usr/share/ThemeSwitcher/iRaspbian-Dark/xfconf -type d -exec chmod 755 {} \;
    sudo find /usr/share/ThemeSwitcher/iRaspbian-Dark/xfconf -type f -exec chmod 644 {} \;
    sudo chown -R root:root /usr/share/ThemeSwitcher/iRaspbian-Dark/panel
    sudo chown -R root:root /usr/share/ThemeSwitcher/iRaspbian-Dark/xfconf
fi
if test -f "/home/pi/.raspbian95.twid"; then
    sudo rm -r /usr/share/ThemeSwitcher/Raspbian95/panel
    sudo rm -r /usr/share/ThemeSwitcher/Raspbian95/xfconf
    sudo cp -r /home/pi/.config/xfce4/panel /usr/share/ThemeSwitcher/Raspbian95
    sudo cp -r /home/pi/.config/xfce4/xfconf /usr/share/ThemeSwitcher/Raspbian95
    sudo find /usr/share/ThemeSwitcher/Raspbian95/panel -type d -exec chmod 755 {} \;
    sudo find /usr/share/ThemeSwitcher/Raspbian95/panel -type f -exec chmod 644 {} \;
    sudo find /usr/share/ThemeSwitcher/Raspbian95/xfconf -type d -exec chmod 755 {} \;
    sudo find /usr/share/ThemeSwitcher/Raspbian95/xfconf -type f -exec chmod 644 {} \;
    sudo chown -R root:root /usr/share/ThemeSwitcher/Raspbian95/panel
    sudo chown -R root:root /usr/share/ThemeSwitcher/Raspbian95/xfconf
fi
if test -f "/home/pi/.raspbianxp.twid"; then
    sudo rm -r /usr/share/ThemeSwitcher/RaspbianXP/panel
    sudo rm -r /usr/share/ThemeSwitcher/RaspbianXP/xfconf
    sudo cp -r /home/pi/.config/xfce4/panel /usr/share/ThemeSwitcher/RaspbianXP
    sudo cp -r /home/pi/.config/xfce4/xfconf /usr/share/ThemeSwitcher/RaspbianXP
    sudo find /usr/share/ThemeSwitcher/RaspbianXP/panel -type d -exec chmod 755 {} \;
    sudo find /usr/share/ThemeSwitcher/RaspbianXP/panel -type f -exec chmod 644 {} \;
    sudo find /usr/share/ThemeSwitcher/RaspbianXP/xfconf -type d -exec chmod 755 {} \;
    sudo find /usr/share/ThemeSwitcher/RaspbianXP/xfconf -type f -exec chmod 644 {} \;
    sudo chown -R root:root /usr/share/ThemeSwitcher/RaspbianXP/panel
    sudo chown -R root:root /usr/share/ThemeSwitcher/RaspbianXP/xfconf
fi
if test -f "/home/pi/.raspbian7.twid"; then
    sudo rm -r /usr/share/ThemeSwitcher/Raspbian7/panel
    sudo rm -r /usr/share/ThemeSwitcher/Raspbian7/xfconf
    sudo cp -r /home/pi/.config/xfce4/panel /usr/share/ThemeSwitcher/Raspbian7
    sudo cp -r /home/pi/.config/xfce4/xfconf /usr/share/ThemeSwitcher/Raspbian7
    sudo find /usr/share/ThemeSwitcher/Raspbian7/panel -type d -exec chmod 755 {} \;
    sudo find /usr/share/ThemeSwitcher/Raspbian7/panel -type f -exec chmod 644 {} \;
    sudo find /usr/share/ThemeSwitcher/Raspbian7/xfconf -type d -exec chmod 755 {} \;
    sudo find /usr/share/ThemeSwitcher/Raspbian7/xfconf -type f -exec chmod 644 {} \;
    sudo chown -R root:root /usr/share/ThemeSwitcher/Raspbian7/panel
    sudo chown -R root:root /usr/share/ThemeSwitcher/Raspbian7/xfconf
fi
if test -f "/home/pi/.twisteros.twid"; then
    sudo rm -r /usr/share/ThemeSwitcher/TwisterOS/panel
    sudo rm -r /usr/share/ThemeSwitcher/TwisterOS/xfconf
    sudo cp -r /home/pi/.config/xfce4/panel /usr/share/ThemeSwitcher/TwisterOS
    sudo cp -r /home/pi/.config/xfce4/xfconf /usr/share/ThemeSwitcher/TwisterOS
    sudo find /usr/share/ThemeSwitcher/TwisterOS/panel -type d -exec chmod 755 {} \;
    sudo find /usr/share/ThemeSwitcher/TwisterOS/panel -type f -exec chmod 644 {} \;
    sudo find /usr/share/ThemeSwitcher/TwisterOS/xfconf -type d -exec chmod 755 {} \;
    sudo find /usr/share/ThemeSwitcher/TwisterOS/xfconf -type f -exec chmod 644 {} \;
    sudo chown -R root:root /usr/share/ThemeSwitcher/TwisterOS/panel
    sudo chown -R root:root /usr/share/ThemeSwitcher/TwisterOS/xfconf
fi

pkill plank
pkill xfce4-panel
sudo rm -f /home/pi/.gtkrc-2.0
sudo rm -f /home/pi/.config/gtk-3.0/gtk.css

sudo rm -r /home/pi/.config/xfce4/panel
sudo rm -r /home/pi/.config/xfce4/xfconf
sudo cp -r /usr/share/ThemeSwitcher/RaspbianX/panel /home/pi/.config/xfce4
sudo cp -r /usr/share/ThemeSwitcher/RaspbianX/xfconf /home/pi/.config/xfce4
sudo find /home/pi/.config/xfce4/panel -type d -exec chmod 755 {} \;
sudo find /home/pi/.config/xfce4/panel -type f -exec chmod 644 {} \;
sudo find /home/pi/.config/xfce4/xfconf -type d -exec chmod 755 {} \;
sudo find /home/pi/.config/xfce4/xfconf -type f -exec chmod 644 {} \;
sudo chown -R pi:pi /home/pi/.config/xfce4/panel
sudo chown -R pi:pi /home/pi/.config/xfce4/xfconf
sudo cp /usr/share/ThemeSwitcher/RaspbianX/lightdm-webkit-greeter.conf /etc/lightdm
sudo cp /usr/share/ThemeSwitcher/RaspbianX/logon.mp3 /home/pi/.icons
sudo cp /usr/share/ThemeSwitcher/RaspbianX/gtkrc-2.0 /home/pi/.gtkrc-2.0
sudo cp /usr/share/ThemeSwitcher/RaspbianX/gtk.css /home/pi/.config/gtk-3.0
sudo cp /usr/share/ThemeSwitcher/RaspbianX/splash.png /usr/share/plymouth/themes/pix
sudo chmod 644 /etc/lightdm/lightdm-webkit-greeter.conf
sudo chmod 644 /home/pi/.icons/logon.mp3
sudo chmod 644 /home/pi/.gtkrc-2.0
sudo chmod 644 /home/pi/.config/gtk-3.0/gtk.css
sudo chmod 644 /usr/share/plymouth/themes/pix/splash.png
sudo chown root:root /etc/lightdm/lightdm-webkit-greeter.conf
sudo chown pi:pi /home/pi/.icons/logon.mp3
sudo chown pi:pi /home/pi/.gtkrc-2.0
sudo chown pi:pi /home/pi/.config/gtk-3.0/gtk.css
sudo chown root:root /usr/share/plymouth/themes/pix/splash.png
sudo rm -f /home/pi/Desktop/harddisk.desktop
sudo rm -f /home/pi/.config/autostart/Plank.desktop
xfconf-query -c xfwm4 -p /general/theme -s Windows-10
xfconf-query -c xfwm4 -p /general/title_alignment -s left
xfconf-query -c xfwm4 -p /general/title_font -s "WeblySleek UI Semi-Bold 12"
xfconf-query -c xfwm4 -p /general/button_layout -s "O|HMC"
xfconf-query -c xsettings -p /Gtk/CursorThemeName -s Win10
xfconf-query -c xsettings -p /Gtk/FontName -s "WeblySleek UI Semi-Bold 12"
xfconf-query -c xsettings -p /Net/IconThemeName -s Windows-10
xfconf-query -c xsettings -p /Net/ThemeName -s Windows-10
xfconf-query -c xfce4-desktop -p /backdrop/screen0/monitor0/workspace0/last-image -s /usr/share/rpd-wallpaper/raspbian-x-nighthawk.png

sudo rm -f /home/pi/.*.twid
sudo cp /usr/share/ThemeSwitcher/raspbianx.twid /home/pi/.raspbianx.twid
sudo chmod 644 /home/pi/.raspbianx.twid
sudo chown pi:pi /home/pi/.raspbianx.twid
            break
            ;;


        "Nighthawk")

echo "Twisting theme to Raspbian X Nighthawk..."

if test -f "/home/pi/.raspbianx.twid"; then
    sudo rm -r /usr/share/ThemeSwitcher/RaspbianX/panel
    sudo rm -r /usr/share/ThemeSwitcher/RaspbianX/xfconf
    sudo cp -r /home/pi/.config/xfce4/panel /usr/share/ThemeSwitcher/RaspbianX
    sudo cp -r /home/pi/.config/xfce4/xfconf /usr/share/ThemeSwitcher/RaspbianX
    sudo find /usr/share/ThemeSwitcher/RaspbianX/panel -type d -exec chmod 755 {} \;
    sudo find /usr/share/ThemeSwitcher/RaspbianX/panel -type f -exec chmod 644 {} \;
    sudo find /usr/share/ThemeSwitcher/RaspbianX/xfconf -type d -exec chmod 755 {} \;
    sudo find /usr/share/ThemeSwitcher/RaspbianX/xfconf -type f -exec chmod 644 {} \;
    sudo chown -R root:root /usr/share/ThemeSwitcher/RaspbianX/panel
    sudo chown -R root:root /usr/share/ThemeSwitcher/RaspbianX/xfconf
fi
if test -f "/home/pi/.nighthawk.twid"; then
    sudo rm -r /usr/share/ThemeSwitcher/Nighthawk/panel
    sudo rm -r /usr/share/ThemeSwitcher/Nighthawk/xfconf
    sudo cp -r /home/pi/.config/xfce4/panel /usr/share/ThemeSwitcher/Nighthawk
    sudo cp -r /home/pi/.config/xfce4/xfconf /usr/share/ThemeSwitcher/Nighthawk
    sudo find /usr/share/ThemeSwitcher/Nighthawk/panel -type d -exec chmod 755 {} \;
    sudo find /usr/share/ThemeSwitcher/Nighthawk/panel -type f -exec chmod 644 {} \;
    sudo find /usr/share/ThemeSwitcher/Nighthawk/xfconf -type d -exec chmod 755 {} \;
    sudo find /usr/share/ThemeSwitcher/Nighthawk/xfconf -type f -exec chmod 644 {} \;
    sudo chown -R root:root /usr/share/ThemeSwitcher/Nighthawk/panel
    sudo chown -R root:root /usr/share/ThemeSwitcher/Nighthawk/xfconf
fi
if test -f "/home/pi/.iraspbian.twid"; then
    sudo rm -r /usr/share/ThemeSwitcher/iRaspbian/panel
    sudo rm -r /usr/share/ThemeSwitcher/iRaspbian/xfconf
    sudo cp -r /home/pi/.config/xfce4/panel /usr/share/ThemeSwitcher/iRaspbian
    sudo cp -r /home/pi/.config/xfce4/xfconf /usr/share/ThemeSwitcher/iRaspbian
    sudo find /usr/share/ThemeSwitcher/iRaspbian/panel -type d -exec chmod 755 {} \;
    sudo find /usr/share/ThemeSwitcher/iRaspbian/panel -type f -exec chmod 644 {} \;
    sudo find /usr/share/ThemeSwitcher/iRaspbian/xfconf -type d -exec chmod 755 {} \;
    sudo find /usr/share/ThemeSwitcher/iRaspbian/xfconf -type f -exec chmod 644 {} \;
    sudo chown -R root:root /usr/share/ThemeSwitcher/iRaspbian/panel
    sudo chown -R root:root /usr/share/ThemeSwitcher/iRaspbian/xfconf
fi
if test -f "/home/pi/.iraspbian-dark.twid"; then
    sudo rm -r /usr/share/ThemeSwitcher/iRaspbian-Dark/panel
    sudo rm -r /usr/share/ThemeSwitcher/iRaspbian-Dark/xfconf
    sudo cp -r /home/pi/.config/xfce4/panel /usr/share/ThemeSwitcher/iRaspbian-Dark
    sudo cp -r /home/pi/.config/xfce4/xfconf /usr/share/ThemeSwitcher/iRaspbian-Dark
    sudo find /usr/share/ThemeSwitcher/iRaspbian-Dark/panel -type d -exec chmod 755 {} \;
    sudo find /usr/share/ThemeSwitcher/iRaspbian-Dark/panel -type f -exec chmod 644 {} \;
    sudo find /usr/share/ThemeSwitcher/iRaspbian-Dark/xfconf -type d -exec chmod 755 {} \;
    sudo find /usr/share/ThemeSwitcher/iRaspbian-Dark/xfconf -type f -exec chmod 644 {} \;
    sudo chown -R root:root /usr/share/ThemeSwitcher/iRaspbian-Dark/panel
    sudo chown -R root:root /usr/share/ThemeSwitcher/iRaspbian-Dark/xfconf
fi
if test -f "/home/pi/.raspbian95.twid"; then
    sudo rm -r /usr/share/ThemeSwitcher/Raspbian95/panel
    sudo rm -r /usr/share/ThemeSwitcher/Raspbian95/xfconf
    sudo cp -r /home/pi/.config/xfce4/panel /usr/share/ThemeSwitcher/Raspbian95
    sudo cp -r /home/pi/.config/xfce4/xfconf /usr/share/ThemeSwitcher/Raspbian95
    sudo find /usr/share/ThemeSwitcher/Raspbian95/panel -type d -exec chmod 755 {} \;
    sudo find /usr/share/ThemeSwitcher/Raspbian95/panel -type f -exec chmod 644 {} \;
    sudo find /usr/share/ThemeSwitcher/Raspbian95/xfconf -type d -exec chmod 755 {} \;
    sudo find /usr/share/ThemeSwitcher/Raspbian95/xfconf -type f -exec chmod 644 {} \;
    sudo chown -R root:root /usr/share/ThemeSwitcher/Raspbian95/panel
    sudo chown -R root:root /usr/share/ThemeSwitcher/Raspbian95/xfconf
fi
if test -f "/home/pi/.raspbianxp.twid"; then
    sudo rm -r /usr/share/ThemeSwitcher/RaspbianXP/panel
    sudo rm -r /usr/share/ThemeSwitcher/RaspbianXP/xfconf
    sudo cp -r /home/pi/.config/xfce4/panel /usr/share/ThemeSwitcher/RaspbianXP
    sudo cp -r /home/pi/.config/xfce4/xfconf /usr/share/ThemeSwitcher/RaspbianXP
    sudo find /usr/share/ThemeSwitcher/RaspbianXP/panel -type d -exec chmod 755 {} \;
    sudo find /usr/share/ThemeSwitcher/RaspbianXP/panel -type f -exec chmod 644 {} \;
    sudo find /usr/share/ThemeSwitcher/RaspbianXP/xfconf -type d -exec chmod 755 {} \;
    sudo find /usr/share/ThemeSwitcher/RaspbianXP/xfconf -type f -exec chmod 644 {} \;
    sudo chown -R root:root /usr/share/ThemeSwitcher/RaspbianXP/panel
    sudo chown -R root:root /usr/share/ThemeSwitcher/RaspbianXP/xfconf
fi
if test -f "/home/pi/.raspbian7.twid"; then
    sudo rm -r /usr/share/ThemeSwitcher/Raspbian7/panel
    sudo rm -r /usr/share/ThemeSwitcher/Raspbian7/xfconf
    sudo cp -r /home/pi/.config/xfce4/panel /usr/share/ThemeSwitcher/Raspbian7
    sudo cp -r /home/pi/.config/xfce4/xfconf /usr/share/ThemeSwitcher/Raspbian7
    sudo find /usr/share/ThemeSwitcher/Raspbian7/panel -type d -exec chmod 755 {} \;
    sudo find /usr/share/ThemeSwitcher/Raspbian7/panel -type f -exec chmod 644 {} \;
    sudo find /usr/share/ThemeSwitcher/Raspbian7/xfconf -type d -exec chmod 755 {} \;
    sudo find /usr/share/ThemeSwitcher/Raspbian7/xfconf -type f -exec chmod 644 {} \;
    sudo chown -R root:root /usr/share/ThemeSwitcher/Raspbian7/panel
    sudo chown -R root:root /usr/share/ThemeSwitcher/Raspbian7/xfconf
fi
if test -f "/home/pi/.twisteros.twid"; then
    sudo rm -r /usr/share/ThemeSwitcher/TwisterOS/panel
    sudo rm -r /usr/share/ThemeSwitcher/TwisterOS/xfconf
    sudo cp -r /home/pi/.config/xfce4/panel /usr/share/ThemeSwitcher/TwisterOS
    sudo cp -r /home/pi/.config/xfce4/xfconf /usr/share/ThemeSwitcher/TwisterOS
    sudo find /usr/share/ThemeSwitcher/TwisterOS/panel -type d -exec chmod 755 {} \;
    sudo find /usr/share/ThemeSwitcher/TwisterOS/panel -type f -exec chmod 644 {} \;
    sudo find /usr/share/ThemeSwitcher/TwisterOS/xfconf -type d -exec chmod 755 {} \;
    sudo find /usr/share/ThemeSwitcher/TwisterOS/xfconf -type f -exec chmod 644 {} \;
    sudo chown -R root:root /usr/share/ThemeSwitcher/TwisterOS/panel
    sudo chown -R root:root /usr/share/ThemeSwitcher/TwisterOS/xfconf
fi

pkill plank
pkill xfce4-panel
sudo rm -f /home/pi/.gtkrc-2.0
sudo rm -f /home/pi/.config/gtk-3.0/gtk.css

sudo rm -r /home/pi/.config/xfce4/panel
sudo rm -r /home/pi/.config/xfce4/xfconf
sudo cp -r /usr/share/ThemeSwitcher/Nighthawk/panel /home/pi/.config/xfce4
sudo cp -r /usr/share/ThemeSwitcher/Nighthawk/xfconf /home/pi/.config/xfce4
sudo find /home/pi/.config/xfce4/panel -type d -exec chmod 755 {} \;
sudo find /home/pi/.config/xfce4/panel -type f -exec chmod 644 {} \;
sudo find /home/pi/.config/xfce4/xfconf -type d -exec chmod 755 {} \;
sudo find /home/pi/.config/xfce4/xfconf -type f -exec chmod 644 {} \;
sudo chown -R pi:pi /home/pi/.config/xfce4/panel
sudo chown -R pi:pi /home/pi/.config/xfce4/xfconf
sudo cp /usr/share/ThemeSwitcher/Nighthawk/lightdm-webkit-greeter.conf /etc/lightdm
sudo cp /usr/share/ThemeSwitcher/Nighthawk/logon.mp3 /home/pi/.icons
sudo cp /usr/share/ThemeSwitcher/Nighthawk/gtkrc-2.0 /home/pi/.gtkrc-2.0
sudo cp /usr/share/ThemeSwitcher/Nighthawk/gtk.css /home/pi/.config/gtk-3.0
sudo cp /usr/share/ThemeSwitcher/Nighthawk/splash.png /usr/share/plymouth/themes/pix
sudo chmod 644 /etc/lightdm/lightdm-webkit-greeter.conf
sudo chmod 644 /home/pi/.icons/logon.mp3
sudo chmod 644 /home/pi/.gtkrc-2.0
sudo chmod 644 /home/pi/.config/gtk-3.0/gtk.css
sudo chmod 644 /usr/share/plymouth/themes/pix/splash.png
sudo chown root:root /etc/lightdm/lightdm-webkit-greeter.conf
sudo chown pi:pi /home/pi/.icons/logon.mp3
sudo chown pi:pi /home/pi/.gtkrc-2.0
sudo chown pi:pi /home/pi/.config/gtk-3.0/gtk.css
sudo chown root:root /usr/share/plymouth/themes/pix/splash.png
sudo rm -f /home/pi/Desktop/harddisk.desktop
sudo rm -f /home/pi/.config/autostart/Plank.desktop
xfconf-query -c xfwm4 -p /general/theme -s Windows-10-Dark
xfconf-query -c xfwm4 -p /general/title_alignment -s left
xfconf-query -c xfwm4 -p /general/title_font -s "WeblySleek UI Semi-Bold 12"
xfconf-query -c xfwm4 -p /general/button_layout -s "O|HMC"
xfconf-query -c xsettings -p /Gtk/CursorThemeName -s Win10
xfconf-query -c xsettings -p /Gtk/FontName -s "WeblySleek UI Semi-Bold 12"
xfconf-query -c xsettings -p /Net/IconThemeName -s Windows-10
xfconf-query -c xsettings -p /Net/ThemeName -s Windows-10-Dark
xfconf-query -c xfce4-desktop -p /backdrop/screen0/monitor0/workspace0/last-image -s /usr/share/rpd-wallpaper/raspbian-x-nighthawk.png

sudo rm -f /home/pi/.*.twid
sudo cp /usr/share/ThemeSwitcher/nighthawk.twid /home/pi/.nighthawk.twid
sudo chmod 644 /home/pi/.nighthawk.twid
sudo chown pi:pi /home/pi/.nighthawk.twid
            break
            ;;


        "iRaspbian")

echo "Twisting theme to iRaspbian..."

if test -f "/home/pi/.raspbianx.twid"; then
    sudo rm -r /usr/share/ThemeSwitcher/RaspbianX/panel
    sudo rm -r /usr/share/ThemeSwitcher/RaspbianX/xfconf
    sudo cp -r /home/pi/.config/xfce4/panel /usr/share/ThemeSwitcher/RaspbianX
    sudo cp -r /home/pi/.config/xfce4/xfconf /usr/share/ThemeSwitcher/RaspbianX
    sudo find /usr/share/ThemeSwitcher/RaspbianX/panel -type d -exec chmod 755 {} \;
    sudo find /usr/share/ThemeSwitcher/RaspbianX/panel -type f -exec chmod 644 {} \;
    sudo find /usr/share/ThemeSwitcher/RaspbianX/xfconf -type d -exec chmod 755 {} \;
    sudo find /usr/share/ThemeSwitcher/RaspbianX/xfconf -type f -exec chmod 644 {} \;
    sudo chown -R root:root /usr/share/ThemeSwitcher/RaspbianX/panel
    sudo chown -R root:root /usr/share/ThemeSwitcher/RaspbianX/xfconf
fi
if test -f "/home/pi/.nighthawk.twid"; then
    sudo rm -r /usr/share/ThemeSwitcher/Nighthawk/panel
    sudo rm -r /usr/share/ThemeSwitcher/Nighthawk/xfconf
    sudo cp -r /home/pi/.config/xfce4/panel /usr/share/ThemeSwitcher/Nighthawk
    sudo cp -r /home/pi/.config/xfce4/xfconf /usr/share/ThemeSwitcher/Nighthawk
    sudo find /usr/share/ThemeSwitcher/Nighthawk/panel -type d -exec chmod 755 {} \;
    sudo find /usr/share/ThemeSwitcher/Nighthawk/panel -type f -exec chmod 644 {} \;
    sudo find /usr/share/ThemeSwitcher/Nighthawk/xfconf -type d -exec chmod 755 {} \;
    sudo find /usr/share/ThemeSwitcher/Nighthawk/xfconf -type f -exec chmod 644 {} \;
    sudo chown -R root:root /usr/share/ThemeSwitcher/Nighthawk/panel
    sudo chown -R root:root /usr/share/ThemeSwitcher/Nighthawk/xfconf
fi
if test -f "/home/pi/.iraspbian.twid"; then
    sudo rm -r /usr/share/ThemeSwitcher/iRaspbian/panel
    sudo rm -r /usr/share/ThemeSwitcher/iRaspbian/xfconf
    sudo cp -r /home/pi/.config/xfce4/panel /usr/share/ThemeSwitcher/iRaspbian
    sudo cp -r /home/pi/.config/xfce4/xfconf /usr/share/ThemeSwitcher/iRaspbian
    sudo find /usr/share/ThemeSwitcher/iRaspbian/panel -type d -exec chmod 755 {} \;
    sudo find /usr/share/ThemeSwitcher/iRaspbian/panel -type f -exec chmod 644 {} \;
    sudo find /usr/share/ThemeSwitcher/iRaspbian/xfconf -type d -exec chmod 755 {} \;
    sudo find /usr/share/ThemeSwitcher/iRaspbian/xfconf -type f -exec chmod 644 {} \;
    sudo chown -R root:root /usr/share/ThemeSwitcher/iRaspbian/panel
    sudo chown -R root:root /usr/share/ThemeSwitcher/iRaspbian/xfconf
fi
if test -f "/home/pi/.iraspbian-dark.twid"; then
    sudo rm -r /usr/share/ThemeSwitcher/iRaspbian-Dark/panel
    sudo rm -r /usr/share/ThemeSwitcher/iRaspbian-Dark/xfconf
    sudo cp -r /home/pi/.config/xfce4/panel /usr/share/ThemeSwitcher/iRaspbian-Dark
    sudo cp -r /home/pi/.config/xfce4/xfconf /usr/share/ThemeSwitcher/iRaspbian-Dark
    sudo find /usr/share/ThemeSwitcher/iRaspbian-Dark/panel -type d -exec chmod 755 {} \;
    sudo find /usr/share/ThemeSwitcher/iRaspbian-Dark/panel -type f -exec chmod 644 {} \;
    sudo find /usr/share/ThemeSwitcher/iRaspbian-Dark/xfconf -type d -exec chmod 755 {} \;
    sudo find /usr/share/ThemeSwitcher/iRaspbian-Dark/xfconf -type f -exec chmod 644 {} \;
    sudo chown -R root:root /usr/share/ThemeSwitcher/iRaspbian-Dark/panel
    sudo chown -R root:root /usr/share/ThemeSwitcher/iRaspbian-Dark/xfconf
fi
if test -f "/home/pi/.raspbian95.twid"; then
    sudo rm -r /usr/share/ThemeSwitcher/Raspbian95/panel
    sudo rm -r /usr/share/ThemeSwitcher/Raspbian95/xfconf
    sudo cp -r /home/pi/.config/xfce4/panel /usr/share/ThemeSwitcher/Raspbian95
    sudo cp -r /home/pi/.config/xfce4/xfconf /usr/share/ThemeSwitcher/Raspbian95
    sudo find /usr/share/ThemeSwitcher/Raspbian95/panel -type d -exec chmod 755 {} \;
    sudo find /usr/share/ThemeSwitcher/Raspbian95/panel -type f -exec chmod 644 {} \;
    sudo find /usr/share/ThemeSwitcher/Raspbian95/xfconf -type d -exec chmod 755 {} \;
    sudo find /usr/share/ThemeSwitcher/Raspbian95/xfconf -type f -exec chmod 644 {} \;
    sudo chown -R root:root /usr/share/ThemeSwitcher/Raspbian95/panel
    sudo chown -R root:root /usr/share/ThemeSwitcher/Raspbian95/xfconf
fi
if test -f "/home/pi/.raspbianxp.twid"; then
    sudo rm -r /usr/share/ThemeSwitcher/RaspbianXP/panel
    sudo rm -r /usr/share/ThemeSwitcher/RaspbianXP/xfconf
    sudo cp -r /home/pi/.config/xfce4/panel /usr/share/ThemeSwitcher/RaspbianXP
    sudo cp -r /home/pi/.config/xfce4/xfconf /usr/share/ThemeSwitcher/RaspbianXP
    sudo find /usr/share/ThemeSwitcher/RaspbianXP/panel -type d -exec chmod 755 {} \;
    sudo find /usr/share/ThemeSwitcher/RaspbianXP/panel -type f -exec chmod 644 {} \;
    sudo find /usr/share/ThemeSwitcher/RaspbianXP/xfconf -type d -exec chmod 755 {} \;
    sudo find /usr/share/ThemeSwitcher/RaspbianXP/xfconf -type f -exec chmod 644 {} \;
    sudo chown -R root:root /usr/share/ThemeSwitcher/RaspbianXP/panel
    sudo chown -R root:root /usr/share/ThemeSwitcher/RaspbianXP/xfconf
fi
if test -f "/home/pi/.raspbian7.twid"; then
    sudo rm -r /usr/share/ThemeSwitcher/Raspbian7/panel
    sudo rm -r /usr/share/ThemeSwitcher/Raspbian7/xfconf
    sudo cp -r /home/pi/.config/xfce4/panel /usr/share/ThemeSwitcher/Raspbian7
    sudo cp -r /home/pi/.config/xfce4/xfconf /usr/share/ThemeSwitcher/Raspbian7
    sudo find /usr/share/ThemeSwitcher/Raspbian7/panel -type d -exec chmod 755 {} \;
    sudo find /usr/share/ThemeSwitcher/Raspbian7/panel -type f -exec chmod 644 {} \;
    sudo find /usr/share/ThemeSwitcher/Raspbian7/xfconf -type d -exec chmod 755 {} \;
    sudo find /usr/share/ThemeSwitcher/Raspbian7/xfconf -type f -exec chmod 644 {} \;
    sudo chown -R root:root /usr/share/ThemeSwitcher/Raspbian7/panel
    sudo chown -R root:root /usr/share/ThemeSwitcher/Raspbian7/xfconf
fi
if test -f "/home/pi/.twisteros.twid"; then
    sudo rm -r /usr/share/ThemeSwitcher/TwisterOS/panel
    sudo rm -r /usr/share/ThemeSwitcher/TwisterOS/xfconf
    sudo cp -r /home/pi/.config/xfce4/panel /usr/share/ThemeSwitcher/TwisterOS
    sudo cp -r /home/pi/.config/xfce4/xfconf /usr/share/ThemeSwitcher/TwisterOS
    sudo find /usr/share/ThemeSwitcher/TwisterOS/panel -type d -exec chmod 755 {} \;
    sudo find /usr/share/ThemeSwitcher/TwisterOS/panel -type f -exec chmod 644 {} \;
    sudo find /usr/share/ThemeSwitcher/TwisterOS/xfconf -type d -exec chmod 755 {} \;
    sudo find /usr/share/ThemeSwitcher/TwisterOS/xfconf -type f -exec chmod 644 {} \;
    sudo chown -R root:root /usr/share/ThemeSwitcher/TwisterOS/panel
    sudo chown -R root:root /usr/share/ThemeSwitcher/TwisterOS/xfconf
fi

pkill plank
pkill xfce4-panel
sudo rm -f /home/pi/.gtkrc-2.0
sudo rm -f /home/pi/.config/gtk-3.0/gtk.css

sudo rm -r /home/pi/.config/xfce4/panel
sudo rm -r /home/pi/.config/xfce4/xfconf
sudo cp -r /usr/share/ThemeSwitcher/iRaspbian/panel /home/pi/.config/xfce4
sudo cp -r /usr/share/ThemeSwitcher/iRaspbian/xfconf /home/pi/.config/xfce4
sudo find /home/pi/.config/xfce4/panel -type d -exec chmod 755 {} \;
sudo find /home/pi/.config/xfce4/panel -type f -exec chmod 644 {} \;
sudo find /home/pi/.config/xfce4/xfconf -type d -exec chmod 755 {} \;
sudo find /home/pi/.config/xfce4/xfconf -type f -exec chmod 644 {} \;
sudo chown -R pi:pi /home/pi/.config/xfce4/panel
sudo chown -R pi:pi /home/pi/.config/xfce4/xfconf
sudo cp /usr/share/ThemeSwitcher/iRaspbian/lightdm-webkit-greeter.conf /etc/lightdm
sudo cp /usr/share/ThemeSwitcher/iRaspbian/logon.mp3 /home/pi/.icons
sudo cp /usr/share/ThemeSwitcher/iRaspbian/harddisk.desktop /home/pi/Desktop
sudo cp /usr/share/ThemeSwitcher/iRaspbian/Plank.desktop /home/pi/.config/autostart
sudo cp /usr/share/ThemeSwitcher/iRaspbian/splash.png /usr/share/plymouth/themes/pix
sudo chmod 644 /etc/lightdm/lightdm-webkit-greeter.conf
sudo chmod 644 /home/pi/.icons/logon.mp3
sudo chmod 755 /home/pi/Desktop/harddisk.desktop
sudo chmod 644 /home/pi/.config/autostart/Plank.desktop
sudo chmod 644 /usr/share/plymouth/themes/pix/splash.png
sudo chown root:root /etc/lightdm/lightdm-webkit-greeter.conf
sudo chown pi:pi /home/pi/.icons/logon.mp3
sudo chown pi:pi /home/pi/Desktop/harddisk.desktop
sudo chown pi:pi /home/pi/.config/autostart/Plank.desktop
sudo chown root:root /usr/share/plymouth/themes/pix/splash.png
xfconf-query -c xfwm4 -p /general/theme -s Catalina
xfconf-query -c xfwm4 -p /general/title_alignment -s center
xfconf-query -c xfwm4 -p /general/title_font -s "SF Pro Display 11"
xfconf-query -c xfwm4 -p /general/button_layout -s "CHM|"
xfconf-query -c xsettings -p /Gtk/CursorThemeName -s macOS
xfconf-query -c xsettings -p /Gtk/FontName -s "SF Pro Display 11"
xfconf-query -c xsettings -p /Net/IconThemeName -s Catalina
xfconf-query -c xsettings -p /Net/ThemeName -s Catalina
xfconf-query -c xfce4-desktop -p /backdrop/screen0/monitor0/workspace0/last-image -s /usr/share/rpd-wallpaper/CatalinaRecreation.jpg
gsettings set net.launchpad.plank.dock.settings:/net/launchpad/plank/docks/dock1/ theme Catalina

sudo rm -f /home/pi/.*.twid
sudo cp /usr/share/ThemeSwitcher/iraspbian.twid /home/pi/.iraspbian.twid
sudo chmod 644 /home/pi/.iraspbian.twid
sudo chown pi:pi /home/pi/.iraspbian.twid
            break
            ;;


        "iRaspbian-Dark")

echo "Twisting theme to iRaspbian Dark..."

if test -f "/home/pi/.raspbianx.twid"; then
    sudo rm -r /usr/share/ThemeSwitcher/RaspbianX/panel
    sudo rm -r /usr/share/ThemeSwitcher/RaspbianX/xfconf
    sudo cp -r /home/pi/.config/xfce4/panel /usr/share/ThemeSwitcher/RaspbianX
    sudo cp -r /home/pi/.config/xfce4/xfconf /usr/share/ThemeSwitcher/RaspbianX
    sudo find /usr/share/ThemeSwitcher/RaspbianX/panel -type d -exec chmod 755 {} \;
    sudo find /usr/share/ThemeSwitcher/RaspbianX/panel -type f -exec chmod 644 {} \;
    sudo find /usr/share/ThemeSwitcher/RaspbianX/xfconf -type d -exec chmod 755 {} \;
    sudo find /usr/share/ThemeSwitcher/RaspbianX/xfconf -type f -exec chmod 644 {} \;
    sudo chown -R root:root /usr/share/ThemeSwitcher/RaspbianX/panel
    sudo chown -R root:root /usr/share/ThemeSwitcher/RaspbianX/xfconf
fi
if test -f "/home/pi/.nighthawk.twid"; then
    sudo rm -r /usr/share/ThemeSwitcher/Nighthawk/panel
    sudo rm -r /usr/share/ThemeSwitcher/Nighthawk/xfconf
    sudo cp -r /home/pi/.config/xfce4/panel /usr/share/ThemeSwitcher/Nighthawk
    sudo cp -r /home/pi/.config/xfce4/xfconf /usr/share/ThemeSwitcher/Nighthawk
    sudo find /usr/share/ThemeSwitcher/Nighthawk/panel -type d -exec chmod 755 {} \;
    sudo find /usr/share/ThemeSwitcher/Nighthawk/panel -type f -exec chmod 644 {} \;
    sudo find /usr/share/ThemeSwitcher/Nighthawk/xfconf -type d -exec chmod 755 {} \;
    sudo find /usr/share/ThemeSwitcher/Nighthawk/xfconf -type f -exec chmod 644 {} \;
    sudo chown -R root:root /usr/share/ThemeSwitcher/Nighthawk/panel
    sudo chown -R root:root /usr/share/ThemeSwitcher/Nighthawk/xfconf
fi
if test -f "/home/pi/.iraspbian.twid"; then
    sudo rm -r /usr/share/ThemeSwitcher/iRaspbian/panel
    sudo rm -r /usr/share/ThemeSwitcher/iRaspbian/xfconf
    sudo cp -r /home/pi/.config/xfce4/panel /usr/share/ThemeSwitcher/iRaspbian
    sudo cp -r /home/pi/.config/xfce4/xfconf /usr/share/ThemeSwitcher/iRaspbian
    sudo find /usr/share/ThemeSwitcher/iRaspbian/panel -type d -exec chmod 755 {} \;
    sudo find /usr/share/ThemeSwitcher/iRaspbian/panel -type f -exec chmod 644 {} \;
    sudo find /usr/share/ThemeSwitcher/iRaspbian/xfconf -type d -exec chmod 755 {} \;
    sudo find /usr/share/ThemeSwitcher/iRaspbian/xfconf -type f -exec chmod 644 {} \;
    sudo chown -R root:root /usr/share/ThemeSwitcher/iRaspbian/panel
    sudo chown -R root:root /usr/share/ThemeSwitcher/iRaspbian/xfconf
fi
if test -f "/home/pi/.iraspbian-dark.twid"; then
    sudo rm -r /usr/share/ThemeSwitcher/iRaspbian-Dark/panel
    sudo rm -r /usr/share/ThemeSwitcher/iRaspbian-Dark/xfconf
    sudo cp -r /home/pi/.config/xfce4/panel /usr/share/ThemeSwitcher/iRaspbian-Dark
    sudo cp -r /home/pi/.config/xfce4/xfconf /usr/share/ThemeSwitcher/iRaspbian-Dark
    sudo find /usr/share/ThemeSwitcher/iRaspbian-Dark/panel -type d -exec chmod 755 {} \;
    sudo find /usr/share/ThemeSwitcher/iRaspbian-Dark/panel -type f -exec chmod 644 {} \;
    sudo find /usr/share/ThemeSwitcher/iRaspbian-Dark/xfconf -type d -exec chmod 755 {} \;
    sudo find /usr/share/ThemeSwitcher/iRaspbian-Dark/xfconf -type f -exec chmod 644 {} \;
    sudo chown -R root:root /usr/share/ThemeSwitcher/iRaspbian-Dark/panel
    sudo chown -R root:root /usr/share/ThemeSwitcher/iRaspbian-Dark/xfconf
fi
if test -f "/home/pi/.raspbian95.twid"; then
    sudo rm -r /usr/share/ThemeSwitcher/Raspbian95/panel
    sudo rm -r /usr/share/ThemeSwitcher/Raspbian95/xfconf
    sudo cp -r /home/pi/.config/xfce4/panel /usr/share/ThemeSwitcher/Raspbian95
    sudo cp -r /home/pi/.config/xfce4/xfconf /usr/share/ThemeSwitcher/Raspbian95
    sudo find /usr/share/ThemeSwitcher/Raspbian95/panel -type d -exec chmod 755 {} \;
    sudo find /usr/share/ThemeSwitcher/Raspbian95/panel -type f -exec chmod 644 {} \;
    sudo find /usr/share/ThemeSwitcher/Raspbian95/xfconf -type d -exec chmod 755 {} \;
    sudo find /usr/share/ThemeSwitcher/Raspbian95/xfconf -type f -exec chmod 644 {} \;
    sudo chown -R root:root /usr/share/ThemeSwitcher/Raspbian95/panel
    sudo chown -R root:root /usr/share/ThemeSwitcher/Raspbian95/xfconf
fi
if test -f "/home/pi/.raspbianxp.twid"; then
    sudo rm -r /usr/share/ThemeSwitcher/RaspbianXP/panel
    sudo rm -r /usr/share/ThemeSwitcher/RaspbianXP/xfconf
    sudo cp -r /home/pi/.config/xfce4/panel /usr/share/ThemeSwitcher/RaspbianXP
    sudo cp -r /home/pi/.config/xfce4/xfconf /usr/share/ThemeSwitcher/RaspbianXP
    sudo find /usr/share/ThemeSwitcher/RaspbianXP/panel -type d -exec chmod 755 {} \;
    sudo find /usr/share/ThemeSwitcher/RaspbianXP/panel -type f -exec chmod 644 {} \;
    sudo find /usr/share/ThemeSwitcher/RaspbianXP/xfconf -type d -exec chmod 755 {} \;
    sudo find /usr/share/ThemeSwitcher/RaspbianXP/xfconf -type f -exec chmod 644 {} \;
    sudo chown -R root:root /usr/share/ThemeSwitcher/RaspbianXP/panel
    sudo chown -R root:root /usr/share/ThemeSwitcher/RaspbianXP/xfconf
fi
if test -f "/home/pi/.raspbian7.twid"; then
    sudo rm -r /usr/share/ThemeSwitcher/Raspbian7/panel
    sudo rm -r /usr/share/ThemeSwitcher/Raspbian7/xfconf
    sudo cp -r /home/pi/.config/xfce4/panel /usr/share/ThemeSwitcher/Raspbian7
    sudo cp -r /home/pi/.config/xfce4/xfconf /usr/share/ThemeSwitcher/Raspbian7
    sudo find /usr/share/ThemeSwitcher/Raspbian7/panel -type d -exec chmod 755 {} \;
    sudo find /usr/share/ThemeSwitcher/Raspbian7/panel -type f -exec chmod 644 {} \;
    sudo find /usr/share/ThemeSwitcher/Raspbian7/xfconf -type d -exec chmod 755 {} \;
    sudo find /usr/share/ThemeSwitcher/Raspbian7/xfconf -type f -exec chmod 644 {} \;
    sudo chown -R root:root /usr/share/ThemeSwitcher/Raspbian7/panel
    sudo chown -R root:root /usr/share/ThemeSwitcher/Raspbian7/xfconf
fi
if test -f "/home/pi/.twisteros.twid"; then
    sudo rm -r /usr/share/ThemeSwitcher/TwisterOS/panel
    sudo rm -r /usr/share/ThemeSwitcher/TwisterOS/xfconf
    sudo cp -r /home/pi/.config/xfce4/panel /usr/share/ThemeSwitcher/TwisterOS
    sudo cp -r /home/pi/.config/xfce4/xfconf /usr/share/ThemeSwitcher/TwisterOS
    sudo find /usr/share/ThemeSwitcher/TwisterOS/panel -type d -exec chmod 755 {} \;
    sudo find /usr/share/ThemeSwitcher/TwisterOS/panel -type f -exec chmod 644 {} \;
    sudo find /usr/share/ThemeSwitcher/TwisterOS/xfconf -type d -exec chmod 755 {} \;
    sudo find /usr/share/ThemeSwitcher/TwisterOS/xfconf -type f -exec chmod 644 {} \;
    sudo chown -R root:root /usr/share/ThemeSwitcher/TwisterOS/panel
    sudo chown -R root:root /usr/share/ThemeSwitcher/TwisterOS/xfconf
fi

pkill plank
pkill xfce4-panel
sudo rm -f /home/pi/.gtkrc-2.0
sudo rm -f /home/pi/.config/gtk-3.0/gtk.css

sudo rm -r /home/pi/.config/xfce4/panel
sudo rm -r /home/pi/.config/xfce4/xfconf
sudo cp -r /usr/share/ThemeSwitcher/iRaspbian-Dark/panel /home/pi/.config/xfce4
sudo cp -r /usr/share/ThemeSwitcher/iRaspbian-Dark/xfconf /home/pi/.config/xfce4
sudo find /home/pi/.config/xfce4/panel -type d -exec chmod 755 {} \;
sudo find /home/pi/.config/xfce4/panel -type f -exec chmod 644 {} \;
sudo find /home/pi/.config/xfce4/xfconf -type d -exec chmod 755 {} \;
sudo find /home/pi/.config/xfce4/xfconf -type f -exec chmod 644 {} \;
sudo chown -R pi:pi /home/pi/.config/xfce4/panel
sudo chown -R pi:pi /home/pi/.config/xfce4/xfconf
sudo cp /usr/share/ThemeSwitcher/iRaspbian-Dark/lightdm-webkit-greeter.conf /etc/lightdm
sudo cp /usr/share/ThemeSwitcher/iRaspbian-Dark/logon.mp3 /home/pi/.icons
sudo cp /usr/share/ThemeSwitcher/iRaspbian-Dark/harddisk.desktop /home/pi/Desktop
sudo cp /usr/share/ThemeSwitcher/iRaspbian-Dark/Plank.desktop /home/pi/.config/autostart
sudo cp /usr/share/ThemeSwitcher/iRaspbian-Dark/splash.png /usr/share/plymouth/themes/pix
sudo chmod 644 /etc/lightdm/lightdm-webkit-greeter.conf
sudo chmod 644 /home/pi/.icons/logon.mp3
sudo chmod 755 /home/pi/Desktop/harddisk.desktop
sudo chmod 644 /home/pi/.config/autostart/Plank.desktop
sudo chmod 644 /usr/share/plymouth/themes/pix/splash.png
sudo chown root:root /etc/lightdm/lightdm-webkit-greeter.conf
sudo chown pi:pi /home/pi/.icons/logon.mp3
sudo chown pi:pi /home/pi/Desktop/harddisk.desktop
sudo chown pi:pi /home/pi/.config/autostart/Plank.desktop
sudo chown root:root /usr/share/plymouth/themes/pix/splash.png
xfconf-query -c xfwm4 -p /general/theme -s Catalina-Dark
xfconf-query -c xfwm4 -p /general/title_alignment -s center
xfconf-query -c xfwm4 -p /general/title_font -s "SF Pro Display 11"
xfconf-query -c xfwm4 -p /general/button_layout -s "CHM|"
xfconf-query -c xsettings -p /Gtk/CursorThemeName -s macOS
xfconf-query -c xsettings -p /Gtk/FontName -s "SF Pro Display 11"
xfconf-query -c xsettings -p /Net/IconThemeName -s Catalina-Dark
xfconf-query -c xsettings -p /Net/ThemeName -s Catalina-Dark
xfconf-query -c xfce4-desktop -p /backdrop/screen0/monitor0/workspace0/last-image -s /usr/share/rpd-wallpaper/CatalinaRecreation.jpg
gsettings set net.launchpad.plank.dock.settings:/net/launchpad/plank/docks/dock1/ theme Catalina-Dark

sudo rm -f /home/pi/.*.twid
sudo cp /usr/share/ThemeSwitcher/iraspbian-dark.twid /home/pi/.iraspbian-dark.twid
sudo chmod 644 /home/pi/.iraspbian-dark.twid
sudo chown pi:pi /home/pi/.iraspbian-dark.twid
            break
            ;;


        "Raspbian95")

echo "Twisting theme to Raspbian 95..."

if test -f "/home/pi/.raspbianx.twid"; then
    sudo rm -r /usr/share/ThemeSwitcher/RaspbianX/panel
    sudo rm -r /usr/share/ThemeSwitcher/RaspbianX/xfconf
    sudo cp -r /home/pi/.config/xfce4/panel /usr/share/ThemeSwitcher/RaspbianX
    sudo cp -r /home/pi/.config/xfce4/xfconf /usr/share/ThemeSwitcher/RaspbianX
    sudo find /usr/share/ThemeSwitcher/RaspbianX/panel -type d -exec chmod 755 {} \;
    sudo find /usr/share/ThemeSwitcher/RaspbianX/panel -type f -exec chmod 644 {} \;
    sudo find /usr/share/ThemeSwitcher/RaspbianX/xfconf -type d -exec chmod 755 {} \;
    sudo find /usr/share/ThemeSwitcher/RaspbianX/xfconf -type f -exec chmod 644 {} \;
    sudo chown -R root:root /usr/share/ThemeSwitcher/RaspbianX/panel
    sudo chown -R root:root /usr/share/ThemeSwitcher/RaspbianX/xfconf
fi
if test -f "/home/pi/.nighthawk.twid"; then
    sudo rm -r /usr/share/ThemeSwitcher/Nighthawk/panel
    sudo rm -r /usr/share/ThemeSwitcher/Nighthawk/xfconf
    sudo cp -r /home/pi/.config/xfce4/panel /usr/share/ThemeSwitcher/Nighthawk
    sudo cp -r /home/pi/.config/xfce4/xfconf /usr/share/ThemeSwitcher/Nighthawk
    sudo find /usr/share/ThemeSwitcher/Nighthawk/panel -type d -exec chmod 755 {} \;
    sudo find /usr/share/ThemeSwitcher/Nighthawk/panel -type f -exec chmod 644 {} \;
    sudo find /usr/share/ThemeSwitcher/Nighthawk/xfconf -type d -exec chmod 755 {} \;
    sudo find /usr/share/ThemeSwitcher/Nighthawk/xfconf -type f -exec chmod 644 {} \;
    sudo chown -R root:root /usr/share/ThemeSwitcher/Nighthawk/panel
    sudo chown -R root:root /usr/share/ThemeSwitcher/Nighthawk/xfconf
fi
if test -f "/home/pi/.iraspbian.twid"; then
    sudo rm -r /usr/share/ThemeSwitcher/iRaspbian/panel
    sudo rm -r /usr/share/ThemeSwitcher/iRaspbian/xfconf
    sudo cp -r /home/pi/.config/xfce4/panel /usr/share/ThemeSwitcher/iRaspbian
    sudo cp -r /home/pi/.config/xfce4/xfconf /usr/share/ThemeSwitcher/iRaspbian
    sudo find /usr/share/ThemeSwitcher/iRaspbian/panel -type d -exec chmod 755 {} \;
    sudo find /usr/share/ThemeSwitcher/iRaspbian/panel -type f -exec chmod 644 {} \;
    sudo find /usr/share/ThemeSwitcher/iRaspbian/xfconf -type d -exec chmod 755 {} \;
    sudo find /usr/share/ThemeSwitcher/iRaspbian/xfconf -type f -exec chmod 644 {} \;
    sudo chown -R root:root /usr/share/ThemeSwitcher/iRaspbian/panel
    sudo chown -R root:root /usr/share/ThemeSwitcher/iRaspbian/xfconf
fi
if test -f "/home/pi/.iraspbian-dark.twid"; then
    sudo rm -r /usr/share/ThemeSwitcher/iRaspbian-Dark/panel
    sudo rm -r /usr/share/ThemeSwitcher/iRaspbian-Dark/xfconf
    sudo cp -r /home/pi/.config/xfce4/panel /usr/share/ThemeSwitcher/iRaspbian-Dark
    sudo cp -r /home/pi/.config/xfce4/xfconf /usr/share/ThemeSwitcher/iRaspbian-Dark
    sudo find /usr/share/ThemeSwitcher/iRaspbian-Dark/panel -type d -exec chmod 755 {} \;
    sudo find /usr/share/ThemeSwitcher/iRaspbian-Dark/panel -type f -exec chmod 644 {} \;
    sudo find /usr/share/ThemeSwitcher/iRaspbian-Dark/xfconf -type d -exec chmod 755 {} \;
    sudo find /usr/share/ThemeSwitcher/iRaspbian-Dark/xfconf -type f -exec chmod 644 {} \;
    sudo chown -R root:root /usr/share/ThemeSwitcher/iRaspbian-Dark/panel
    sudo chown -R root:root /usr/share/ThemeSwitcher/iRaspbian-Dark/xfconf
fi
if test -f "/home/pi/.raspbian95.twid"; then
    sudo rm -r /usr/share/ThemeSwitcher/Raspbian95/panel
    sudo rm -r /usr/share/ThemeSwitcher/Raspbian95/xfconf
    sudo cp -r /home/pi/.config/xfce4/panel /usr/share/ThemeSwitcher/Raspbian95
    sudo cp -r /home/pi/.config/xfce4/xfconf /usr/share/ThemeSwitcher/Raspbian95
    sudo find /usr/share/ThemeSwitcher/Raspbian95/panel -type d -exec chmod 755 {} \;
    sudo find /usr/share/ThemeSwitcher/Raspbian95/panel -type f -exec chmod 644 {} \;
    sudo find /usr/share/ThemeSwitcher/Raspbian95/xfconf -type d -exec chmod 755 {} \;
    sudo find /usr/share/ThemeSwitcher/Raspbian95/xfconf -type f -exec chmod 644 {} \;
    sudo chown -R root:root /usr/share/ThemeSwitcher/Raspbian95/panel
    sudo chown -R root:root /usr/share/ThemeSwitcher/Raspbian95/xfconf
fi
if test -f "/home/pi/.raspbianxp.twid"; then
    sudo rm -r /usr/share/ThemeSwitcher/RaspbianXP/panel
    sudo rm -r /usr/share/ThemeSwitcher/RaspbianXP/xfconf
    sudo cp -r /home/pi/.config/xfce4/panel /usr/share/ThemeSwitcher/RaspbianXP
    sudo cp -r /home/pi/.config/xfce4/xfconf /usr/share/ThemeSwitcher/RaspbianXP
    sudo find /usr/share/ThemeSwitcher/RaspbianXP/panel -type d -exec chmod 755 {} \;
    sudo find /usr/share/ThemeSwitcher/RaspbianXP/panel -type f -exec chmod 644 {} \;
    sudo find /usr/share/ThemeSwitcher/RaspbianXP/xfconf -type d -exec chmod 755 {} \;
    sudo find /usr/share/ThemeSwitcher/RaspbianXP/xfconf -type f -exec chmod 644 {} \;
    sudo chown -R root:root /usr/share/ThemeSwitcher/RaspbianXP/panel
    sudo chown -R root:root /usr/share/ThemeSwitcher/RaspbianXP/xfconf
fi
if test -f "/home/pi/.raspbian7.twid"; then
    sudo rm -r /usr/share/ThemeSwitcher/Raspbian7/panel
    sudo rm -r /usr/share/ThemeSwitcher/Raspbian7/xfconf
    sudo cp -r /home/pi/.config/xfce4/panel /usr/share/ThemeSwitcher/Raspbian7
    sudo cp -r /home/pi/.config/xfce4/xfconf /usr/share/ThemeSwitcher/Raspbian7
    sudo find /usr/share/ThemeSwitcher/Raspbian7/panel -type d -exec chmod 755 {} \;
    sudo find /usr/share/ThemeSwitcher/Raspbian7/panel -type f -exec chmod 644 {} \;
    sudo find /usr/share/ThemeSwitcher/Raspbian7/xfconf -type d -exec chmod 755 {} \;
    sudo find /usr/share/ThemeSwitcher/Raspbian7/xfconf -type f -exec chmod 644 {} \;
    sudo chown -R root:root /usr/share/ThemeSwitcher/Raspbian7/panel
    sudo chown -R root:root /usr/share/ThemeSwitcher/Raspbian7/xfconf
fi
if test -f "/home/pi/.twisteros.twid"; then
    sudo rm -r /usr/share/ThemeSwitcher/TwisterOS/panel
    sudo rm -r /usr/share/ThemeSwitcher/TwisterOS/xfconf
    sudo cp -r /home/pi/.config/xfce4/panel /usr/share/ThemeSwitcher/TwisterOS
    sudo cp -r /home/pi/.config/xfce4/xfconf /usr/share/ThemeSwitcher/TwisterOS
    sudo find /usr/share/ThemeSwitcher/TwisterOS/panel -type d -exec chmod 755 {} \;
    sudo find /usr/share/ThemeSwitcher/TwisterOS/panel -type f -exec chmod 644 {} \;
    sudo find /usr/share/ThemeSwitcher/TwisterOS/xfconf -type d -exec chmod 755 {} \;
    sudo find /usr/share/ThemeSwitcher/TwisterOS/xfconf -type f -exec chmod 644 {} \;
    sudo chown -R root:root /usr/share/ThemeSwitcher/TwisterOS/panel
    sudo chown -R root:root /usr/share/ThemeSwitcher/TwisterOS/xfconf
fi

pkill plank
pkill xfce4-panel
sudo rm -f /home/pi/.gtkrc-2.0
sudo rm -f /home/pi/.config/gtk-3.0/gtk.css

sudo rm -r /home/pi/.config/xfce4/panel
sudo rm -r /home/pi/.config/xfce4/xfconf
sudo cp -r /usr/share/ThemeSwitcher/Raspbian95/panel /home/pi/.config/xfce4
sudo cp -r /usr/share/ThemeSwitcher/Raspbian95/xfconf /home/pi/.config/xfce4
sudo find /home/pi/.config/xfce4/panel -type d -exec chmod 755 {} \;
sudo find /home/pi/.config/xfce4/panel -type f -exec chmod 644 {} \;
sudo find /home/pi/.config/xfce4/xfconf -type d -exec chmod 755 {} \;
sudo find /home/pi/.config/xfce4/xfconf -type f -exec chmod 644 {} \;
sudo chown -R pi:pi /home/pi/.config/xfce4/panel
sudo chown -R pi:pi /home/pi/.config/xfce4/xfconf
sudo cp /usr/share/ThemeSwitcher/Raspbian95/lightdm-webkit-greeter.conf /etc/lightdm
sudo cp /usr/share/ThemeSwitcher/Raspbian95/logon.mp3 /home/pi/.icons
sudo cp /usr/share/ThemeSwitcher/Raspbian95/gtk.css /home/pi/.config/gtk-3.0
sudo cp /usr/share/ThemeSwitcher/Raspbian95/splash.png /usr/share/plymouth/themes/pix
sudo chmod 644 /etc/lightdm/lightdm-webkit-greeter.conf
sudo chmod 644 /home/pi/.icons/logon.mp3
sudo chmod 644 /home/pi/.config/gtk-3.0/gtk.css
sudo chmod 644 /usr/share/plymouth/themes/pix/splash.png
sudo chown root:root /etc/lightdm/lightdm-webkit-greeter.conf
sudo chown pi:pi /home/pi/.icons/logon.mp3
sudo chown pi:pi /home/pi/.config/gtk-3.0/gtk.css
sudo chown root:root /usr/share/plymouth/themes/pix/splash.png
sudo rm -f /home/pi/Desktop/harddisk.desktop
sudo rm -f /home/pi/.config/autostart/Plank.desktop
xfconf-query -c xfwm4 -p /general/theme -s Windows-95
xfconf-query -c xfwm4 -p /general/title_alignment -s left
xfconf-query -c xfwm4 -p /general/title_font -s "W95FA Bold 11"
xfconf-query -c xfwm4 -p /general/button_layout -s "O|HMC"
xfconf-query -c xsettings -p /Gtk/CursorThemeName -s Win95
xfconf-query -c xsettings -p /Gtk/FontName -s "W95FA 12"
xfconf-query -c xsettings -p /Net/IconThemeName -s Windows-95
xfconf-query -c xsettings -p /Net/ThemeName -s Windows-95
xfconf-query -c xfce4-desktop -p /backdrop/screen0/monitor0/workspace0/last-image -s /usr/share/rpd-wallpaper/Clouds.png

sudo rm -f /home/pi/.*.twid
sudo cp /usr/share/ThemeSwitcher/raspbian95.twid /home/pi/.raspbian95.twid
sudo chmod 644 /home/pi/.raspbian95.twid
sudo chown pi:pi /home/pi/.raspbian95.twid
            break
            ;;


        "RaspbianXP")

echo "Twisting theme to Raspbian XP..."

if test -f "/home/pi/.raspbianx.twid"; then
    sudo rm -r /usr/share/ThemeSwitcher/RaspbianX/panel
    sudo rm -r /usr/share/ThemeSwitcher/RaspbianX/xfconf
    sudo cp -r /home/pi/.config/xfce4/panel /usr/share/ThemeSwitcher/RaspbianX
    sudo cp -r /home/pi/.config/xfce4/xfconf /usr/share/ThemeSwitcher/RaspbianX
    sudo find /usr/share/ThemeSwitcher/RaspbianX/panel -type d -exec chmod 755 {} \;
    sudo find /usr/share/ThemeSwitcher/RaspbianX/panel -type f -exec chmod 644 {} \;
    sudo find /usr/share/ThemeSwitcher/RaspbianX/xfconf -type d -exec chmod 755 {} \;
    sudo find /usr/share/ThemeSwitcher/RaspbianX/xfconf -type f -exec chmod 644 {} \;
    sudo chown -R root:root /usr/share/ThemeSwitcher/RaspbianX/panel
    sudo chown -R root:root /usr/share/ThemeSwitcher/RaspbianX/xfconf
fi
if test -f "/home/pi/.nighthawk.twid"; then
    sudo rm -r /usr/share/ThemeSwitcher/Nighthawk/panel
    sudo rm -r /usr/share/ThemeSwitcher/Nighthawk/xfconf
    sudo cp -r /home/pi/.config/xfce4/panel /usr/share/ThemeSwitcher/Nighthawk
    sudo cp -r /home/pi/.config/xfce4/xfconf /usr/share/ThemeSwitcher/Nighthawk
    sudo find /usr/share/ThemeSwitcher/Nighthawk/panel -type d -exec chmod 755 {} \;
    sudo find /usr/share/ThemeSwitcher/Nighthawk/panel -type f -exec chmod 644 {} \;
    sudo find /usr/share/ThemeSwitcher/Nighthawk/xfconf -type d -exec chmod 755 {} \;
    sudo find /usr/share/ThemeSwitcher/Nighthawk/xfconf -type f -exec chmod 644 {} \;
    sudo chown -R root:root /usr/share/ThemeSwitcher/Nighthawk/panel
    sudo chown -R root:root /usr/share/ThemeSwitcher/Nighthawk/xfconf
fi
if test -f "/home/pi/.iraspbian.twid"; then
    sudo rm -r /usr/share/ThemeSwitcher/iRaspbian/panel
    sudo rm -r /usr/share/ThemeSwitcher/iRaspbian/xfconf
    sudo cp -r /home/pi/.config/xfce4/panel /usr/share/ThemeSwitcher/iRaspbian
    sudo cp -r /home/pi/.config/xfce4/xfconf /usr/share/ThemeSwitcher/iRaspbian
    sudo find /usr/share/ThemeSwitcher/iRaspbian/panel -type d -exec chmod 755 {} \;
    sudo find /usr/share/ThemeSwitcher/iRaspbian/panel -type f -exec chmod 644 {} \;
    sudo find /usr/share/ThemeSwitcher/iRaspbian/xfconf -type d -exec chmod 755 {} \;
    sudo find /usr/share/ThemeSwitcher/iRaspbian/xfconf -type f -exec chmod 644 {} \;
    sudo chown -R root:root /usr/share/ThemeSwitcher/iRaspbian/panel
    sudo chown -R root:root /usr/share/ThemeSwitcher/iRaspbian/xfconf
fi
if test -f "/home/pi/.iraspbian-dark.twid"; then
    sudo rm -r /usr/share/ThemeSwitcher/iRaspbian-Dark/panel
    sudo rm -r /usr/share/ThemeSwitcher/iRaspbian-Dark/xfconf
    sudo cp -r /home/pi/.config/xfce4/panel /usr/share/ThemeSwitcher/iRaspbian-Dark
    sudo cp -r /home/pi/.config/xfce4/xfconf /usr/share/ThemeSwitcher/iRaspbian-Dark
    sudo find /usr/share/ThemeSwitcher/iRaspbian-Dark/panel -type d -exec chmod 755 {} \;
    sudo find /usr/share/ThemeSwitcher/iRaspbian-Dark/panel -type f -exec chmod 644 {} \;
    sudo find /usr/share/ThemeSwitcher/iRaspbian-Dark/xfconf -type d -exec chmod 755 {} \;
    sudo find /usr/share/ThemeSwitcher/iRaspbian-Dark/xfconf -type f -exec chmod 644 {} \;
    sudo chown -R root:root /usr/share/ThemeSwitcher/iRaspbian-Dark/panel
    sudo chown -R root:root /usr/share/ThemeSwitcher/iRaspbian-Dark/xfconf
fi
if test -f "/home/pi/.raspbian95.twid"; then
    sudo rm -r /usr/share/ThemeSwitcher/Raspbian95/panel
    sudo rm -r /usr/share/ThemeSwitcher/Raspbian95/xfconf
    sudo cp -r /home/pi/.config/xfce4/panel /usr/share/ThemeSwitcher/Raspbian95
    sudo cp -r /home/pi/.config/xfce4/xfconf /usr/share/ThemeSwitcher/Raspbian95
    sudo find /usr/share/ThemeSwitcher/Raspbian95/panel -type d -exec chmod 755 {} \;
    sudo find /usr/share/ThemeSwitcher/Raspbian95/panel -type f -exec chmod 644 {} \;
    sudo find /usr/share/ThemeSwitcher/Raspbian95/xfconf -type d -exec chmod 755 {} \;
    sudo find /usr/share/ThemeSwitcher/Raspbian95/xfconf -type f -exec chmod 644 {} \;
    sudo chown -R root:root /usr/share/ThemeSwitcher/Raspbian95/panel
    sudo chown -R root:root /usr/share/ThemeSwitcher/Raspbian95/xfconf
fi
if test -f "/home/pi/.raspbianxp.twid"; then
    sudo rm -r /usr/share/ThemeSwitcher/RaspbianXP/panel
    sudo rm -r /usr/share/ThemeSwitcher/RaspbianXP/xfconf
    sudo cp -r /home/pi/.config/xfce4/panel /usr/share/ThemeSwitcher/RaspbianXP
    sudo cp -r /home/pi/.config/xfce4/xfconf /usr/share/ThemeSwitcher/RaspbianXP
    sudo find /usr/share/ThemeSwitcher/RaspbianXP/panel -type d -exec chmod 755 {} \;
    sudo find /usr/share/ThemeSwitcher/RaspbianXP/panel -type f -exec chmod 644 {} \;
    sudo find /usr/share/ThemeSwitcher/RaspbianXP/xfconf -type d -exec chmod 755 {} \;
    sudo find /usr/share/ThemeSwitcher/RaspbianXP/xfconf -type f -exec chmod 644 {} \;
    sudo chown -R root:root /usr/share/ThemeSwitcher/RaspbianXP/panel
    sudo chown -R root:root /usr/share/ThemeSwitcher/RaspbianXP/xfconf
fi
if test -f "/home/pi/.raspbian7.twid"; then
    sudo rm -r /usr/share/ThemeSwitcher/Raspbian7/panel
    sudo rm -r /usr/share/ThemeSwitcher/Raspbian7/xfconf
    sudo cp -r /home/pi/.config/xfce4/panel /usr/share/ThemeSwitcher/Raspbian7
    sudo cp -r /home/pi/.config/xfce4/xfconf /usr/share/ThemeSwitcher/Raspbian7
    sudo find /usr/share/ThemeSwitcher/Raspbian7/panel -type d -exec chmod 755 {} \;
    sudo find /usr/share/ThemeSwitcher/Raspbian7/panel -type f -exec chmod 644 {} \;
    sudo find /usr/share/ThemeSwitcher/Raspbian7/xfconf -type d -exec chmod 755 {} \;
    sudo find /usr/share/ThemeSwitcher/Raspbian7/xfconf -type f -exec chmod 644 {} \;
    sudo chown -R root:root /usr/share/ThemeSwitcher/Raspbian7/panel
    sudo chown -R root:root /usr/share/ThemeSwitcher/Raspbian7/xfconf
fi
if test -f "/home/pi/.twisteros.twid"; then
    sudo rm -r /usr/share/ThemeSwitcher/TwisterOS/panel
    sudo rm -r /usr/share/ThemeSwitcher/TwisterOS/xfconf
    sudo cp -r /home/pi/.config/xfce4/panel /usr/share/ThemeSwitcher/TwisterOS
    sudo cp -r /home/pi/.config/xfce4/xfconf /usr/share/ThemeSwitcher/TwisterOS
    sudo find /usr/share/ThemeSwitcher/TwisterOS/panel -type d -exec chmod 755 {} \;
    sudo find /usr/share/ThemeSwitcher/TwisterOS/panel -type f -exec chmod 644 {} \;
    sudo find /usr/share/ThemeSwitcher/TwisterOS/xfconf -type d -exec chmod 755 {} \;
    sudo find /usr/share/ThemeSwitcher/TwisterOS/xfconf -type f -exec chmod 644 {} \;
    sudo chown -R root:root /usr/share/ThemeSwitcher/TwisterOS/panel
    sudo chown -R root:root /usr/share/ThemeSwitcher/TwisterOS/xfconf
fi

pkill plank
pkill xfce4-panel
sudo rm -f /home/pi/.gtkrc-2.0
sudo rm -f /home/pi/.config/gtk-3.0/gtk.css

sudo rm -r /home/pi/.config/xfce4/panel
sudo rm -r /home/pi/.config/xfce4/xfconf
sudo cp -r /usr/share/ThemeSwitcher/RaspbianXP/panel /home/pi/.config/xfce4
sudo cp -r /usr/share/ThemeSwitcher/RaspbianXP/xfconf /home/pi/.config/xfce4
sudo find /home/pi/.config/xfce4/panel -type d -exec chmod 755 {} \;
sudo find /home/pi/.config/xfce4/panel -type f -exec chmod 644 {} \;
sudo find /home/pi/.config/xfce4/xfconf -type d -exec chmod 755 {} \;
sudo find /home/pi/.config/xfce4/xfconf -type f -exec chmod 644 {} \;
sudo chown -R pi:pi /home/pi/.config/xfce4/panel
sudo chown -R pi:pi /home/pi/.config/xfce4/xfconf
sudo cp /usr/share/ThemeSwitcher/RaspbianXP/lightdm-webkit-greeter.conf /etc/lightdm
sudo cp /usr/share/ThemeSwitcher/RaspbianXP/logon.mp3 /home/pi/.icons
sudo cp /usr/share/ThemeSwitcher/RaspbianXP/gtkrc-2.0 /home/pi/.gtkrc-2.0
sudo cp /usr/share/ThemeSwitcher/RaspbianXP/gtk.css /home/pi/.config/gtk-3.0
sudo cp /usr/share/ThemeSwitcher/RaspbianXP/splash.png /usr/share/plymouth/themes/pix
sudo chmod 644 /etc/lightdm/lightdm-webkit-greeter.conf
sudo chmod 644 /home/pi/.icons/logon.mp3
sudo chmod 644 /home/pi/.gtkrc-2.0
sudo chmod 644 /home/pi/.config/gtk-3.0/gtk.css
sudo chmod 644 /usr/share/plymouth/themes/pix/splash.png
sudo chown root:root /etc/lightdm/lightdm-webkit-greeter.conf
sudo chown pi:pi /home/pi/.icons/logon.mp3
sudo chown pi:pi /home/pi/.gtkrc-2.0
sudo chown pi:pi /home/pi/.config/gtk-3.0/gtk.css
sudo chown root:root /usr/share/plymouth/themes/pix/splash.png
sudo rm -f /home/pi/Desktop/harddisk.desktop
sudo rm -f /home/pi/.config/autostart/Plank.desktop
xfconf-query -c xfwm4 -p /general/theme -s Windows-XP
xfconf-query -c xfwm4 -p /general/title_alignment -s left
xfconf-query -c xfwm4 -p /general/title_font -s "Noto Sans Display Bold 11"
xfconf-query -c xfwm4 -p /general/button_layout -s "O|HMC"
xfconf-query -c xsettings -p /Gtk/CursorThemeName -s Win95
xfconf-query -c xsettings -p /Gtk/FontName -s "Noto Sans Display 11"
xfconf-query -c xsettings -p /Net/IconThemeName -s Windows-XP
xfconf-query -c xsettings -p /Net/ThemeName -s Windows-XP
xfconf-query -c xfce4-desktop -p /backdrop/screen0/monitor0/workspace0/last-image -s /usr/share/rpd-wallpaper/RaspbianXP.jpg

sudo rm -f /home/pi/.*.twid
sudo cp /usr/share/ThemeSwitcher/raspbianxp.twid /home/pi/.raspbianxp.twid
sudo chmod 644 /home/pi/.raspbianxp.twid
sudo chown pi:pi /home/pi/.raspbianxp.twid
            break
            ;;


        "Raspbian7")

echo "Twisting theme to Raspbian 7..."

if test -f "/home/pi/.raspbianx.twid"; then
    sudo rm -r /usr/share/ThemeSwitcher/RaspbianX/panel
    sudo rm -r /usr/share/ThemeSwitcher/RaspbianX/xfconf
    sudo cp -r /home/pi/.config/xfce4/panel /usr/share/ThemeSwitcher/RaspbianX
    sudo cp -r /home/pi/.config/xfce4/xfconf /usr/share/ThemeSwitcher/RaspbianX
    sudo find /usr/share/ThemeSwitcher/RaspbianX/panel -type d -exec chmod 755 {} \;
    sudo find /usr/share/ThemeSwitcher/RaspbianX/panel -type f -exec chmod 644 {} \;
    sudo find /usr/share/ThemeSwitcher/RaspbianX/xfconf -type d -exec chmod 755 {} \;
    sudo find /usr/share/ThemeSwitcher/RaspbianX/xfconf -type f -exec chmod 644 {} \;
    sudo chown -R root:root /usr/share/ThemeSwitcher/RaspbianX/panel
    sudo chown -R root:root /usr/share/ThemeSwitcher/RaspbianX/xfconf
fi
if test -f "/home/pi/.nighthawk.twid"; then
    sudo rm -r /usr/share/ThemeSwitcher/Nighthawk/panel
    sudo rm -r /usr/share/ThemeSwitcher/Nighthawk/xfconf
    sudo cp -r /home/pi/.config/xfce4/panel /usr/share/ThemeSwitcher/Nighthawk
    sudo cp -r /home/pi/.config/xfce4/xfconf /usr/share/ThemeSwitcher/Nighthawk
    sudo find /usr/share/ThemeSwitcher/Nighthawk/panel -type d -exec chmod 755 {} \;
    sudo find /usr/share/ThemeSwitcher/Nighthawk/panel -type f -exec chmod 644 {} \;
    sudo find /usr/share/ThemeSwitcher/Nighthawk/xfconf -type d -exec chmod 755 {} \;
    sudo find /usr/share/ThemeSwitcher/Nighthawk/xfconf -type f -exec chmod 644 {} \;
    sudo chown -R root:root /usr/share/ThemeSwitcher/Nighthawk/panel
    sudo chown -R root:root /usr/share/ThemeSwitcher/Nighthawk/xfconf
fi
if test -f "/home/pi/.iraspbian.twid"; then
    sudo rm -r /usr/share/ThemeSwitcher/iRaspbian/panel
    sudo rm -r /usr/share/ThemeSwitcher/iRaspbian/xfconf
    sudo cp -r /home/pi/.config/xfce4/panel /usr/share/ThemeSwitcher/iRaspbian
    sudo cp -r /home/pi/.config/xfce4/xfconf /usr/share/ThemeSwitcher/iRaspbian
    sudo find /usr/share/ThemeSwitcher/iRaspbian/panel -type d -exec chmod 755 {} \;
    sudo find /usr/share/ThemeSwitcher/iRaspbian/panel -type f -exec chmod 644 {} \;
    sudo find /usr/share/ThemeSwitcher/iRaspbian/xfconf -type d -exec chmod 755 {} \;
    sudo find /usr/share/ThemeSwitcher/iRaspbian/xfconf -type f -exec chmod 644 {} \;
    sudo chown -R root:root /usr/share/ThemeSwitcher/iRaspbian/panel
    sudo chown -R root:root /usr/share/ThemeSwitcher/iRaspbian/xfconf
fi
if test -f "/home/pi/.iraspbian-dark.twid"; then
    sudo rm -r /usr/share/ThemeSwitcher/iRaspbian-Dark/panel
    sudo rm -r /usr/share/ThemeSwitcher/iRaspbian-Dark/xfconf
    sudo cp -r /home/pi/.config/xfce4/panel /usr/share/ThemeSwitcher/iRaspbian-Dark
    sudo cp -r /home/pi/.config/xfce4/xfconf /usr/share/ThemeSwitcher/iRaspbian-Dark
    sudo find /usr/share/ThemeSwitcher/iRaspbian-Dark/panel -type d -exec chmod 755 {} \;
    sudo find /usr/share/ThemeSwitcher/iRaspbian-Dark/panel -type f -exec chmod 644 {} \;
    sudo find /usr/share/ThemeSwitcher/iRaspbian-Dark/xfconf -type d -exec chmod 755 {} \;
    sudo find /usr/share/ThemeSwitcher/iRaspbian-Dark/xfconf -type f -exec chmod 644 {} \;
    sudo chown -R root:root /usr/share/ThemeSwitcher/iRaspbian-Dark/panel
    sudo chown -R root:root /usr/share/ThemeSwitcher/iRaspbian-Dark/xfconf
fi
if test -f "/home/pi/.raspbian95.twid"; then
    sudo rm -r /usr/share/ThemeSwitcher/Raspbian95/panel
    sudo rm -r /usr/share/ThemeSwitcher/Raspbian95/xfconf
    sudo cp -r /home/pi/.config/xfce4/panel /usr/share/ThemeSwitcher/Raspbian95
    sudo cp -r /home/pi/.config/xfce4/xfconf /usr/share/ThemeSwitcher/Raspbian95
    sudo find /usr/share/ThemeSwitcher/Raspbian95/panel -type d -exec chmod 755 {} \;
    sudo find /usr/share/ThemeSwitcher/Raspbian95/panel -type f -exec chmod 644 {} \;
    sudo find /usr/share/ThemeSwitcher/Raspbian95/xfconf -type d -exec chmod 755 {} \;
    sudo find /usr/share/ThemeSwitcher/Raspbian95/xfconf -type f -exec chmod 644 {} \;
    sudo chown -R root:root /usr/share/ThemeSwitcher/Raspbian95/panel
    sudo chown -R root:root /usr/share/ThemeSwitcher/Raspbian95/xfconf
fi
if test -f "/home/pi/.raspbianxp.twid"; then
    sudo rm -r /usr/share/ThemeSwitcher/RaspbianXP/panel
    sudo rm -r /usr/share/ThemeSwitcher/RaspbianXP/xfconf
    sudo cp -r /home/pi/.config/xfce4/panel /usr/share/ThemeSwitcher/RaspbianXP
    sudo cp -r /home/pi/.config/xfce4/xfconf /usr/share/ThemeSwitcher/RaspbianXP
    sudo find /usr/share/ThemeSwitcher/RaspbianXP/panel -type d -exec chmod 755 {} \;
    sudo find /usr/share/ThemeSwitcher/RaspbianXP/panel -type f -exec chmod 644 {} \;
    sudo find /usr/share/ThemeSwitcher/RaspbianXP/xfconf -type d -exec chmod 755 {} \;
    sudo find /usr/share/ThemeSwitcher/RaspbianXP/xfconf -type f -exec chmod 644 {} \;
    sudo chown -R root:root /usr/share/ThemeSwitcher/RaspbianXP/panel
    sudo chown -R root:root /usr/share/ThemeSwitcher/RaspbianXP/xfconf
fi
if test -f "/home/pi/.raspbian7.twid"; then
    sudo rm -r /usr/share/ThemeSwitcher/Raspbian7/panel
    sudo rm -r /usr/share/ThemeSwitcher/Raspbian7/xfconf
    sudo cp -r /home/pi/.config/xfce4/panel /usr/share/ThemeSwitcher/Raspbian7
    sudo cp -r /home/pi/.config/xfce4/xfconf /usr/share/ThemeSwitcher/Raspbian7
    sudo find /usr/share/ThemeSwitcher/Raspbian7/panel -type d -exec chmod 755 {} \;
    sudo find /usr/share/ThemeSwitcher/Raspbian7/panel -type f -exec chmod 644 {} \;
    sudo find /usr/share/ThemeSwitcher/Raspbian7/xfconf -type d -exec chmod 755 {} \;
    sudo find /usr/share/ThemeSwitcher/Raspbian7/xfconf -type f -exec chmod 644 {} \;
    sudo chown -R root:root /usr/share/ThemeSwitcher/Raspbian7/panel
    sudo chown -R root:root /usr/share/ThemeSwitcher/Raspbian7/xfconf
fi
if test -f "/home/pi/.twisteros.twid"; then
    sudo rm -r /usr/share/ThemeSwitcher/TwisterOS/panel
    sudo rm -r /usr/share/ThemeSwitcher/TwisterOS/xfconf
    sudo cp -r /home/pi/.config/xfce4/panel /usr/share/ThemeSwitcher/TwisterOS
    sudo cp -r /home/pi/.config/xfce4/xfconf /usr/share/ThemeSwitcher/TwisterOS
    sudo find /usr/share/ThemeSwitcher/TwisterOS/panel -type d -exec chmod 755 {} \;
    sudo find /usr/share/ThemeSwitcher/TwisterOS/panel -type f -exec chmod 644 {} \;
    sudo find /usr/share/ThemeSwitcher/TwisterOS/xfconf -type d -exec chmod 755 {} \;
    sudo find /usr/share/ThemeSwitcher/TwisterOS/xfconf -type f -exec chmod 644 {} \;
    sudo chown -R root:root /usr/share/ThemeSwitcher/TwisterOS/panel
    sudo chown -R root:root /usr/share/ThemeSwitcher/TwisterOS/xfconf
fi

pkill plank
pkill xfce4-panel
sudo rm -f /home/pi/.gtkrc-2.0
sudo rm -f /home/pi/.config/gtk-3.0/gtk.css

sudo rm -r /home/pi/.config/xfce4/panel
sudo rm -r /home/pi/.config/xfce4/xfconf
sudo cp -r /usr/share/ThemeSwitcher/Raspbian7/panel /home/pi/.config/xfce4
sudo cp -r /usr/share/ThemeSwitcher/Raspbian7/xfconf /home/pi/.config/xfce4
sudo find /home/pi/.config/xfce4/panel -type d -exec chmod 755 {} \;
sudo find /home/pi/.config/xfce4/panel -type f -exec chmod 644 {} \;
sudo find /home/pi/.config/xfce4/xfconf -type d -exec chmod 755 {} \;
sudo find /home/pi/.config/xfce4/xfconf -type f -exec chmod 644 {} \;
sudo chown -R pi:pi /home/pi/.config/xfce4/panel
sudo chown -R pi:pi /home/pi/.config/xfce4/xfconf
sudo cp /usr/share/ThemeSwitcher/Raspbian7/lightdm-webkit-greeter.conf /etc/lightdm
sudo cp /usr/share/ThemeSwitcher/Raspbian7/logon.mp3 /home/pi/.icons
sudo cp /usr/share/ThemeSwitcher/Raspbian7/gtkrc-2.0 /home/pi/.gtkrc-2.0
sudo cp /usr/share/ThemeSwitcher/Raspbian7/gtk.css /home/pi/.config/gtk-3.0
sudo cp /usr/share/ThemeSwitcher/Raspbian7/splash.png /usr/share/plymouth/themes/pix
sudo chmod 644 /etc/lightdm/lightdm-webkit-greeter.conf
sudo chmod 644 /home/pi/.icons/logon.mp3
sudo chmod 644 /home/pi/.gtkrc-2.0
sudo chmod 644 /home/pi/.config/gtk-3.0/gtk.css
sudo chmod 644 /usr/share/plymouth/themes/pix/splash.png
sudo chown root:root /etc/lightdm/lightdm-webkit-greeter.conf
sudo chown pi:pi /home/pi/.icons/logon.mp3
sudo chown pi:pi /home/pi/.gtkrc-2.0
sudo chown pi:pi /home/pi/.config/gtk-3.0/gtk.css
sudo chown root:root /usr/share/plymouth/themes/pix/splash.png
sudo rm -f /home/pi/Desktop/harddisk.desktop
sudo rm -f /home/pi/.config/autostart/Plank.desktop
xfconf-query -c xfwm4 -p /general/theme -s Windows-7
xfconf-query -c xfwm4 -p /general/title_alignment -s left
xfconf-query -c xfwm4 -p /general/title_font -s "WeblySleek UI Semi-Bold 12"
xfconf-query -c xfwm4 -p /general/button_layout -s "O|HMC"
xfconf-query -c xsettings -p /Gtk/CursorThemeName -s Win10
xfconf-query -c xsettings -p /Gtk/FontName -s "WeblySleek UI Semi-Bold 12"
xfconf-query -c xsettings -p /Net/IconThemeName -s Windows-7
xfconf-query -c xsettings -p /Net/ThemeName -s Windows-7
xfconf-query -c xfce4-desktop -p /backdrop/screen0/monitor0/workspace0/last-image -s /usr/share/rpd-wallpaper/Raspbian7.png

sudo rm -f /home/pi/.*.twid
sudo cp /usr/share/ThemeSwitcher/raspbian7.twid /home/pi/.raspbian7.twid
sudo chmod 644 /home/pi/.raspbian7.twid
sudo chown pi:pi /home/pi/.raspbian7.twid
            break
            ;;


        "TwisterOS")

echo "Twisting theme to Twister OS Default..."

if test -f "/home/pi/.raspbianx.twid"; then
    sudo rm -r /usr/share/ThemeSwitcher/RaspbianX/panel
    sudo rm -r /usr/share/ThemeSwitcher/RaspbianX/xfconf
    sudo cp -r /home/pi/.config/xfce4/panel /usr/share/ThemeSwitcher/RaspbianX
    sudo cp -r /home/pi/.config/xfce4/xfconf /usr/share/ThemeSwitcher/RaspbianX
    sudo find /usr/share/ThemeSwitcher/RaspbianX/panel -type d -exec chmod 755 {} \;
    sudo find /usr/share/ThemeSwitcher/RaspbianX/panel -type f -exec chmod 644 {} \;
    sudo find /usr/share/ThemeSwitcher/RaspbianX/xfconf -type d -exec chmod 755 {} \;
    sudo find /usr/share/ThemeSwitcher/RaspbianX/xfconf -type f -exec chmod 644 {} \;
    sudo chown -R root:root /usr/share/ThemeSwitcher/RaspbianX/panel
    sudo chown -R root:root /usr/share/ThemeSwitcher/RaspbianX/xfconf
fi
if test -f "/home/pi/.nighthawk.twid"; then
    sudo rm -r /usr/share/ThemeSwitcher/Nighthawk/panel
    sudo rm -r /usr/share/ThemeSwitcher/Nighthawk/xfconf
    sudo cp -r /home/pi/.config/xfce4/panel /usr/share/ThemeSwitcher/Nighthawk
    sudo cp -r /home/pi/.config/xfce4/xfconf /usr/share/ThemeSwitcher/Nighthawk
    sudo find /usr/share/ThemeSwitcher/Nighthawk/panel -type d -exec chmod 755 {} \;
    sudo find /usr/share/ThemeSwitcher/Nighthawk/panel -type f -exec chmod 644 {} \;
    sudo find /usr/share/ThemeSwitcher/Nighthawk/xfconf -type d -exec chmod 755 {} \;
    sudo find /usr/share/ThemeSwitcher/Nighthawk/xfconf -type f -exec chmod 644 {} \;
    sudo chown -R root:root /usr/share/ThemeSwitcher/Nighthawk/panel
    sudo chown -R root:root /usr/share/ThemeSwitcher/Nighthawk/xfconf
fi
if test -f "/home/pi/.iraspbian.twid"; then
    sudo rm -r /usr/share/ThemeSwitcher/iRaspbian/panel
    sudo rm -r /usr/share/ThemeSwitcher/iRaspbian/xfconf
    sudo cp -r /home/pi/.config/xfce4/panel /usr/share/ThemeSwitcher/iRaspbian
    sudo cp -r /home/pi/.config/xfce4/xfconf /usr/share/ThemeSwitcher/iRaspbian
    sudo find /usr/share/ThemeSwitcher/iRaspbian/panel -type d -exec chmod 755 {} \;
    sudo find /usr/share/ThemeSwitcher/iRaspbian/panel -type f -exec chmod 644 {} \;
    sudo find /usr/share/ThemeSwitcher/iRaspbian/xfconf -type d -exec chmod 755 {} \;
    sudo find /usr/share/ThemeSwitcher/iRaspbian/xfconf -type f -exec chmod 644 {} \;
    sudo chown -R root:root /usr/share/ThemeSwitcher/iRaspbian/panel
    sudo chown -R root:root /usr/share/ThemeSwitcher/iRaspbian/xfconf
fi
if test -f "/home/pi/.iraspbian-dark.twid"; then
    sudo rm -r /usr/share/ThemeSwitcher/iRaspbian-Dark/panel
    sudo rm -r /usr/share/ThemeSwitcher/iRaspbian-Dark/xfconf
    sudo cp -r /home/pi/.config/xfce4/panel /usr/share/ThemeSwitcher/iRaspbian-Dark
    sudo cp -r /home/pi/.config/xfce4/xfconf /usr/share/ThemeSwitcher/iRaspbian-Dark
    sudo find /usr/share/ThemeSwitcher/iRaspbian-Dark/panel -type d -exec chmod 755 {} \;
    sudo find /usr/share/ThemeSwitcher/iRaspbian-Dark/panel -type f -exec chmod 644 {} \;
    sudo find /usr/share/ThemeSwitcher/iRaspbian-Dark/xfconf -type d -exec chmod 755 {} \;
    sudo find /usr/share/ThemeSwitcher/iRaspbian-Dark/xfconf -type f -exec chmod 644 {} \;
    sudo chown -R root:root /usr/share/ThemeSwitcher/iRaspbian-Dark/panel
    sudo chown -R root:root /usr/share/ThemeSwitcher/iRaspbian-Dark/xfconf
fi
if test -f "/home/pi/.raspbian95.twid"; then
    sudo rm -r /usr/share/ThemeSwitcher/Raspbian95/panel
    sudo rm -r /usr/share/ThemeSwitcher/Raspbian95/xfconf
    sudo cp -r /home/pi/.config/xfce4/panel /usr/share/ThemeSwitcher/Raspbian95
    sudo cp -r /home/pi/.config/xfce4/xfconf /usr/share/ThemeSwitcher/Raspbian95
    sudo find /usr/share/ThemeSwitcher/Raspbian95/panel -type d -exec chmod 755 {} \;
    sudo find /usr/share/ThemeSwitcher/Raspbian95/panel -type f -exec chmod 644 {} \;
    sudo find /usr/share/ThemeSwitcher/Raspbian95/xfconf -type d -exec chmod 755 {} \;
    sudo find /usr/share/ThemeSwitcher/Raspbian95/xfconf -type f -exec chmod 644 {} \;
    sudo chown -R root:root /usr/share/ThemeSwitcher/Raspbian95/panel
    sudo chown -R root:root /usr/share/ThemeSwitcher/Raspbian95/xfconf
fi
if test -f "/home/pi/.raspbianxp.twid"; then
    sudo rm -r /usr/share/ThemeSwitcher/RaspbianXP/panel
    sudo rm -r /usr/share/ThemeSwitcher/RaspbianXP/xfconf
    sudo cp -r /home/pi/.config/xfce4/panel /usr/share/ThemeSwitcher/RaspbianXP
    sudo cp -r /home/pi/.config/xfce4/xfconf /usr/share/ThemeSwitcher/RaspbianXP
    sudo find /usr/share/ThemeSwitcher/RaspbianXP/panel -type d -exec chmod 755 {} \;
    sudo find /usr/share/ThemeSwitcher/RaspbianXP/panel -type f -exec chmod 644 {} \;
    sudo find /usr/share/ThemeSwitcher/RaspbianXP/xfconf -type d -exec chmod 755 {} \;
    sudo find /usr/share/ThemeSwitcher/RaspbianXP/xfconf -type f -exec chmod 644 {} \;
    sudo chown -R root:root /usr/share/ThemeSwitcher/RaspbianXP/panel
    sudo chown -R root:root /usr/share/ThemeSwitcher/RaspbianXP/xfconf
fi
if test -f "/home/pi/.raspbian7.twid"; then
    sudo rm -r /usr/share/ThemeSwitcher/Raspbian7/panel
    sudo rm -r /usr/share/ThemeSwitcher/Raspbian7/xfconf
    sudo cp -r /home/pi/.config/xfce4/panel /usr/share/ThemeSwitcher/Raspbian7
    sudo cp -r /home/pi/.config/xfce4/xfconf /usr/share/ThemeSwitcher/Raspbian7
    sudo find /usr/share/ThemeSwitcher/Raspbian7/panel -type d -exec chmod 755 {} \;
    sudo find /usr/share/ThemeSwitcher/Raspbian7/panel -type f -exec chmod 644 {} \;
    sudo find /usr/share/ThemeSwitcher/Raspbian7/xfconf -type d -exec chmod 755 {} \;
    sudo find /usr/share/ThemeSwitcher/Raspbian7/xfconf -type f -exec chmod 644 {} \;
    sudo chown -R root:root /usr/share/ThemeSwitcher/Raspbian7/panel
    sudo chown -R root:root /usr/share/ThemeSwitcher/Raspbian7/xfconf
fi
if test -f "/home/pi/.twisteros.twid"; then
    sudo rm -r /usr/share/ThemeSwitcher/TwisterOS/panel
    sudo rm -r /usr/share/ThemeSwitcher/TwisterOS/xfconf
    sudo cp -r /home/pi/.config/xfce4/panel /usr/share/ThemeSwitcher/TwisterOS
    sudo cp -r /home/pi/.config/xfce4/xfconf /usr/share/ThemeSwitcher/TwisterOS
    sudo find /usr/share/ThemeSwitcher/TwisterOS/panel -type d -exec chmod 755 {} \;
    sudo find /usr/share/ThemeSwitcher/TwisterOS/panel -type f -exec chmod 644 {} \;
    sudo find /usr/share/ThemeSwitcher/TwisterOS/xfconf -type d -exec chmod 755 {} \;
    sudo find /usr/share/ThemeSwitcher/TwisterOS/xfconf -type f -exec chmod 644 {} \;
    sudo chown -R root:root /usr/share/ThemeSwitcher/TwisterOS/panel
    sudo chown -R root:root /usr/share/ThemeSwitcher/TwisterOS/xfconf
fi

pkill plank
pkill xfce4-panel
sudo rm -f /home/pi/.gtkrc-2.0
sudo rm -f /home/pi/.config/gtk-3.0/gtk.css

sudo rm -r /home/pi/.config/xfce4/panel
sudo rm -r /home/pi/.config/xfce4/xfconf
sudo cp -r /usr/share/ThemeSwitcher/TwisterOS/panel /home/pi/.config/xfce4
sudo cp -r /usr/share/ThemeSwitcher/TwisterOS/xfconf /home/pi/.config/xfce4
sudo find /home/pi/.config/xfce4/panel -type d -exec chmod 755 {} \;
sudo find /home/pi/.config/xfce4/panel -type f -exec chmod 644 {} \;
sudo find /home/pi/.config/xfce4/xfconf -type d -exec chmod 755 {} \;
sudo find /home/pi/.config/xfce4/xfconf -type f -exec chmod 644 {} \;
sudo chown -R pi:pi /home/pi/.config/xfce4/panel
sudo chown -R pi:pi /home/pi/.config/xfce4/xfconf
sudo cp /usr/share/ThemeSwitcher/TwisterOS/lightdm-webkit-greeter.conf /etc/lightdm
sudo cp /usr/share/ThemeSwitcher/TwisterOS/logon.mp3 /home/pi/.icons
sudo cp /usr/share/ThemeSwitcher/TwisterOS/splash.png /usr/share/plymouth/themes/pix
sudo chmod 644 /etc/lightdm/lightdm-webkit-greeter.conf
sudo chmod 644 /home/pi/.icons/logon.mp3
sudo chmod 644 /usr/share/plymouth/themes/pix/splash.png
sudo chown root:root /etc/lightdm/lightdm-webkit-greeter.conf
sudo chown pi:pi /home/pi/.icons/logon.mp3
sudo chown root:root /usr/share/plymouth/themes/pix/splash.png
sudo rm -f /home/pi/Desktop/harddisk.desktop
sudo rm -f /home/pi/.config/autostart/Plank.desktop
xfconf-query -c xfwm4 -p /general/theme -s TwisterOS
xfconf-query -c xfwm4 -p /general/title_alignment -s center
xfconf-query -c xfwm4 -p /general/title_font -s "Noto Sans Bold 11"
xfconf-query -c xfwm4 -p /general/button_layout -s "O|HMC"
xfconf-query -c xsettings -p /Gtk/CursorThemeName -s default
xfconf-query -c xsettings -p /Gtk/FontName -s "Noto Sans 11"
xfconf-query -c xsettings -p /Net/IconThemeName -s TwisterOS
xfconf-query -c xsettings -p /Net/ThemeName -s TwisterOS
xfconf-query -c xfce4-desktop -p /backdrop/screen0/monitor0/workspace0/last-image -s /usr/share/rpd-wallpaper/TwisterOS.png

sudo rm -f /home/pi/.*.twid
sudo cp /usr/share/ThemeSwitcher/twisteros.twid /home/pi/.twisteros.twid
sudo chmod 644 /home/pi/.twisteros.twid
sudo chown pi:pi /home/pi/.twisteros.twid
		break
		;;
esac

clear
read -p "The system will now restart. When ready, press [Enter] to continue..."
sudo reboot
